import { MAIN_MENU, useTranslation } from 'core/i18n';

export function useBreadCrumbsMessages(): any {
  const { t } = useTranslation([MAIN_MENU]);

  return {
    home: t('main_menu:app.bread_crumb.home'),
    assets: {
      dashboard: t('main_menu:app.bread_crumb.assets'),
      details: t('main_menu:app.bread_crumb.assets.details'),
      groups: t('main_menu:app.bread_crumb.assets.groups'),
    },
    correlation_rules: {
      dashboard: t('main_menu:app.bread_crumb.correlation_rules'),
      create: t('main_menu:app.bread_crumb.correlation_rules.create'),
      edit: t('main_menu:app.bread_crumb.correlation_rules.edit'),
    },

    events: {
      dashboard: t('main_menu:app.bread_crumb.events.events'),
      elk: t('main_menu:app.bread_crumb.events.elk'),
    },
    ncircc: {
      title: t('main_menu:app.bread_crumb.ncircc.title'),
      organization_card: t(
        'main_menu:app.bread_crumb.ncircc.organization_card',
      ),
      api: t('main_menu:app.bread_crumb.ncircc.api'),
      message: t('main_menu:app.bread_crumb.ncircc.message'),
      bulletin: t('main_menu:app.bread_crumb.ncircc.bulletin'),
    },
    security_systems: {
      systems: t('main_menu:app.bread_crumb.systems'),
      groups: t('main_menu:app.bread_crumb.systems.groups'),
      details: t('main_menu:app.bread_crumb.systems.details'),
    },
    accounts: {
      accounts: t('main_menu:app.bread_crumb.accounts.accounts'),
      list: t('main_menu:app.bread_crumb.accounts.list'),
      groups: t('main_menu:app.bread_crumb.accounts.groups'),
    },
    profile: {
      card: t('main_menu:app.bread_crumb.profile.card'),
      groups: t('main_menu:app.bread_crumb.profile.groups'),
    },
    rotation: {
      dashboard: t('main_menu:app.bread_crumb.rotation.dashboard'),
      incidents: t('main_menu:app.bread_crumb.rotation.incidents'),
      events: t('main_menu:app.bread_crumb.rotation.dashboards'),
    },
    settings: {
      dashboard: t('main_menu:app.bread_crumb.settings.dashboard'),
      tls: t('main_menu:app.bread_crumb.settings.tls'),
      authentication: t('main_menu:app.bread_crumb.settings.authentication'),
    },
    license: {
      dashboard: t('main_menu:app.bread_crumb.license.dashboard'),
      current: t('main_menu:app.bread_crumb.license.current'),
      activation: t('main_menu:app.bread_crumb.license.activation'),
    },
  };
}
